org.codehaus.groovy.binding

## Enum PropertyBinding.UpdateStrategy

- java.lang.Object
- - java.lang.Enum<PropertyBinding.UpdateStrategy>
  - - org.codehaus.groovy.binding.PropertyBinding.UpdateStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PropertyBinding.UpdateStrategy>

Enclosing class:
  PropertyBinding

    public static enum PropertyBinding.UpdateStrategy
    extends java.lang.Enum<PropertyBinding.UpdateStrategy>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASYNC`
`DEFER`
`MIXED`
`OUTSIDE`
`SAME`
`SYNC`

### Method Summary

All Methods Static Methods Concrete Methods
`static PropertyBinding.UpdateStrategy` `of(java.lang.String str)`
`static PropertyBinding.UpdateStrategy` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PropertyBinding.UpdateStrategy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MIXED

    public static final PropertyBinding.UpdateStrategy MIXED

#### ASYNC

    public static final PropertyBinding.UpdateStrategy ASYNC

#### SYNC

    public static final PropertyBinding.UpdateStrategy SYNC

#### SAME

    public static final PropertyBinding.UpdateStrategy SAME

#### OUTSIDE

    public static final PropertyBinding.UpdateStrategy OUTSIDE

#### DEFER

    public static final PropertyBinding.UpdateStrategy DEFER

### Method Detail

#### values

    public static PropertyBinding.UpdateStrategy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PropertyBinding.UpdateStrategy c : PropertyBinding.UpdateStrategy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PropertyBinding.UpdateStrategy valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### of

    public static PropertyBinding.UpdateStrategy of(java.lang.String str)